Subject: bug#20082: new warning from ar on rawhide systems

From: Pavel Raiskup <[email-masked]>
Date: Wed, 09 Mar 2016 07:40:49 +0100

On Tuesday 02 of June 2015 16:22:50 Pavel Raiskup wrote:
> On Saturday 18 of April 2015 11:50:31 Pavel Raiskup wrote:
> > On Friday 17 of April 2015 18:07:57 Peter Rosin wrote:
> > > On 2015-04-17 17:54, Pavel Raiskup wrote:
> > > > I tried to prepare the patch, but thats probably wrong.  It would be nice
> > > > if somebody could comment,
> > > 
> > > Microsofts archiver (lib.exe) uses a syntax like:
> > > 
> > >   lib -extract:file.o archive.lib
> > > 
> > > where -extract: was thought to be the content of $AR_FLAGS.
> > > 
> > > But since then, I added the ar-lib helper to Automake, which hides
> > > these brain-damaged flags that lib expects.
> > 
> > Thanks for the info, Peter.
> 
> And the patch against Automake attached now, sorry for the delay.

Has anyone looked at this patch so far?  Reviews are appreciated.  As a
downstream maintainer I keep getting questions when this is going to be
fixed.

Thanks, Pavel